### Class

# Gtk NeverTrigger

since: 4.0

#### Description [src]

    final class Gtk.NeverTrigger : Gtk.ShortcutTrigger
    {
      /* No available fields */
    }

A `GtkShortcutTrigger` that never triggers.

Available since: 4.0

#### Ancestors

- GtkShortcutTrigger
- GObject

#### Functions

###### gtk_never_trigger_get

Gets the never trigger.

since: 4.0

#### Instance methods

##### Methods inherited from GtkShortcutTrigger (8)

###### gtk_shortcut_trigger_compare

The types of `trigger1` and `trigger2` are `gconstpointer` only to allow use of this function as a `GCompareFunc`.

since: 4.0

###### gtk_shortcut_trigger_equal

Checks if `trigger1` and `trigger2` trigger under the same conditions.

since: 4.0

###### gtk_shortcut_trigger_hash

Generates a hash value for a `GtkShortcutTrigger`.

since: 4.0

###### gtk_shortcut_trigger_print

Prints the given trigger into a string for the developer. This is meant for debugging and logging.

since: 4.0

###### gtk_shortcut_trigger_print_label

Prints the given trigger into a string.

since: 4.0

###### gtk_shortcut_trigger_to_label

Gets textual representation for the given trigger.

since: 4.0

###### gtk_shortcut_trigger_to_string

Prints the given trigger into a human-readable string.

since: 4.0

###### gtk_shortcut_trigger_trigger

Checks if the given `event` triggers `self`.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkNeverTriggerClass {
      /* no available fields */
    }

No description available.